org.jboss.jca.common.api.metadata.common

## Enum Pool.Tag

- java.lang.Object
- - java.lang.Enum<Pool.Tag>
  - - org.jboss.jca.common.api.metadata.common.Pool.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Pool.Tag>
  Enclosing interface:
    Pool

      public static enum Pool.Tag
      extends java.lang.Enum<Pool.Tag>

  A Tag.
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAPACITY` capacity tag
    `FAIR` fair tag
    `FLUSH_STRATEGY` flush-strategy tag
    `INITIAL_POOL_SIZE` initial-pool-size tag
    `MAX_POOL_SIZE` maxPoolSize tag
    `MIN_POOL_SIZE` min-pool-size tag
    `PREFILL` prefill tag
    `UNKNOWN` always first
    `USE_STRICT_MIN` use-strict-min tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Pool.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static Pool.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Pool.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final Pool.Tag UNKNOWN

      always first

    - #### MIN_POOL_SIZE

          public static final Pool.Tag MIN_POOL_SIZE

      min-pool-size tag

    - #### INITIAL_POOL_SIZE

          public static final Pool.Tag INITIAL_POOL_SIZE

      initial-pool-size tag

    - #### MAX_POOL_SIZE

          public static final Pool.Tag MAX_POOL_SIZE

      maxPoolSize tag

    - #### PREFILL

          public static final Pool.Tag PREFILL

      prefill tag

    - #### FAIR

          public static final Pool.Tag FAIR

      fair tag

    - #### USE_STRICT_MIN

          public static final Pool.Tag USE_STRICT_MIN

      use-strict-min tag

    - #### FLUSH_STRATEGY

          public static final Pool.Tag FLUSH_STRATEGY

      flush-strategy tag

    - #### CAPACITY

          public static final Pool.Tag CAPACITY

      capacity tag

  - ### Method Detail

    - #### values

          public static Pool.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Pool.Tag c : Pool.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Pool.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Pool.Tag>`

    - #### forName

          public static Pool.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)